#cloud-config
hostname: vm124-nextcloud-ligbox
manage_etc_hosts: true
ssh_pwauth: true
disable_root: false
chpasswd:
  list: |
    root:805353
    admin:805353
    mini:805353
  expire: false
users:
  - default
  - name: admin
    gecos: Ligbox Admin
    groups: [sudo]
    shell: /bin/bash
    lock_passwd: false
  - name: mini
    gecos: Ligbox Mini
    shell: /bin/bash
    lock_passwd: false
package_update: true
packages:
  - sudo
  - curl
  - ca-certificates
runcmd:
  - mkdir -p /etc/ssh/sshd_config.d
  - echo 'PasswordAuthentication yes' > /etc/ssh/sshd_config.d/60-ligbox.conf
  - systemctl restart ssh || systemctl restart sshd
  - hostnamectl set-hostname vm124-nextcloud-ligbox
